/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package cz.cvut.fel.pjv.cv11;

/**
 * Globalne dostupna trida, existuje nejvyse jedna - na zacatku programu
 * neexistuje a vzniknbe pri prvnim pouziti
 *
 * @author martin
 */
public final class Singleton2 {

    private static Singleton2 sing = null;
    private int data;

    public int getData() {
        return data;
    }

    public void setData(int data) {
        this.data = data;
    }

    /**
     * pouzivame pro pristup k existujici instanci pri prvnim pouziti vznikne
     * instance singletonu
     * 
     * lazy instantiation - neni threadsafe
     *
     * @return
     */
    public static Singleton2 getInstance() {

        if (sing == null) {
            sing = new Singleton2();
        }
        return sing;
    }

    private Singleton2() {
        data = 1024;
    }

}
